Loading...
Searching...
No Matches
mbedtls_ssl_ciphersuite_t Struct Reference

This structure is used for storing ciphersuite information. More...

`#include <ssl_ciphersuites.h>`

## Data Fields

int | private_id
const char * | private_name
uint8_t | private_cipher
uint8_t | private_mac
uint8_t | private_key_exchange
uint8_t | private_flags
uint16_t | private_min_tls_version
uint16_t | private_max_tls_version

## Detailed Description

This structure is used for storing ciphersuite information.

Note
  members are defined using integral types instead of enums in order to pack structure and reduce memory usage by internal `ciphersuite_definitions`[]

Definition at line 448 of file ssl_ciphersuites.h.

## Field Documentation

## private_cipher

uint8_t mbedtls_ssl_ciphersuite_t::private_cipher

Definition at line 452 of file ssl_ciphersuites.h.

## private_flags

uint8_t mbedtls_ssl_ciphersuite_t::private_flags

Definition at line 455 of file ssl_ciphersuites.h.

## private_id

int mbedtls_ssl_ciphersuite_t::private_id

Definition at line 449 of file ssl_ciphersuites.h.

## private_key_exchange

uint8_t mbedtls_ssl_ciphersuite_t::private_key_exchange

Definition at line 454 of file ssl_ciphersuites.h.

## private_mac

uint8_t mbedtls_ssl_ciphersuite_t::private_mac

Definition at line 453 of file ssl_ciphersuites.h.

## private_max_tls_version

uint16_t mbedtls_ssl_ciphersuite_t::private_max_tls_version

Definition at line 458 of file ssl_ciphersuites.h.

## private_min_tls_version

uint16_t mbedtls_ssl_ciphersuite_t::private_min_tls_version

Definition at line 457 of file ssl_ciphersuites.h.

## private_name

const char* mbedtls_ssl_ciphersuite_t::private_name

Definition at line 450 of file ssl_ciphersuites.h.

The documentation for this struct was generated from the following file:

- ssl_ciphersuites.h